weka.classifiers.functions.explicitboundaries.models

## Class SMOLinearBoundary

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.functions.SMO
    - - weka.classifiers.functions.explicitboundaries.models.SMOLinearBoundary

- All Implemented Interfaces:
    Serializable, Cloneable, weka.classifiers.Classifier, ClassifierWithBoundaries, weka.core.BatchPredictor, weka.core.CapabilitiesHandler, weka.core.CapabilitiesIgnorer, weka.core.CommandlineRunnable, weka.core.OptionHandler, weka.core.RevisionHandler, weka.core.TechnicalInformationHandler, weka.core.WeightedInstancesHandler

      public class SMOLinearBoundary
      extends weka.classifiers.functions.SMO
      implements ClassifierWithBoundaries

  Since:
    0.1.0
  Version:
    2.1.0
  Author:
    pawel trajdos
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class weka.classifiers.functions.SMO

      `weka.classifiers.functions.SMO.BinarySMO`

  - ### Field Summary

    - ### Fields inherited from class weka.classifiers.functions.SMO

      `FILTER_NONE, FILTER_NORMALIZE, FILTER_STANDARDIZE, TAGS_FILTER`

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMOLinearBoundary()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildClassifier(weka.core.Instances insts)`
    `DecisionBoundary` | `getBoundary()` Returns decision boundaries of the classifier
    `weka.core.Capabilities` | `getCapabilities()`
    `static void` | `main(String[] args)`
    `void` | `setDebug(boolean debug)`

    - ### Methods inherited from class weka.classifiers.functions.SMO

      `attributeNames, bias, buildCalibrationModelsTipText, calibratorTipText, checksTurnedOffTipText, classAttributeNames, cTipText, distributionForInstance, epsilonTipText, filterTypeTipText, getBuildCalibrationModels, getC, getCalibrator, getChecksTurnedOff, getEpsilon, getFilterType, getKernel, getNumFolds, getOptions, getRandomSeed, getRevision, getTechnicalInformation, getToleranceParameter, globalInfo, kernelTipText, listOptions, numClassAttributeValues, numFoldsTipText, obtainVotes, randomSeedTipText, setBuildCalibrationModels, setC, setCalibrator, setChecksTurnedOff, setEpsilon, setFilterType, setKernel, setNumFolds, setOptions, setRandomSeed, setToleranceParameter, sparseIndices, sparseWeights, toleranceParameterTipText, toString, turnChecksOff, turnChecksOn`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface weka.classifiers.Classifier

      `classifyInstance, distributionForInstance`

- - ### Constructor Detail

    - #### SMOLinearBoundary

          public SMOLinearBoundary()

  - ### Method Detail

    - #### getBoundary

          public DecisionBoundary getBoundary()
                                       throws Exception

      Description copied from interface: `ClassifierWithBoundaries`
      Returns decision boundaries of the classifier
      Specified by:
        `getBoundary` in interface `ClassifierWithBoundaries`
      Returns:
        Decision boundaries
      Throws:
        `Exception`

    - #### buildClassifier

          public void buildClassifier(weka.core.Instances insts)
                               throws Exception

      Specified by:
        `buildClassifier` in interface `weka.classifiers.Classifier`
      Overrides:
        `buildClassifier` in class `weka.classifiers.functions.SMO`
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)

      Parameters:
        `args` -

    - #### getCapabilities

          public weka.core.Capabilities getCapabilities()

      Specified by:
        `getCapabilities` in interface `weka.classifiers.Classifier`
      Specified by:
        `getCapabilities` in interface `weka.core.CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `weka.classifiers.functions.SMO`

    - #### setDebug

          public void setDebug(boolean debug)

      Overrides:
        `setDebug` in class `weka.classifiers.AbstractClassifier`

Copyright © 2019. All Rights Reserved.